%% loglik : Verisimilitude function for only one subject
%
% ARGUMENTS   : X    -> input data 
%               RES  -> Raw scores
%               mu   -> Mean of items
%               L    -> Loading matrix
%               PH   -> Error variance
%               th   -> True score estimate            
%
% Mahalanobis DISTANCE
%

function [l] = loglik (x,mu,L,PH,th);


%%%%%%%%%%%%%%%

[m,n]=size(x);
   sum=0;
   e=(x-mu)-(L*th);
   W=inv(PH);
   sum=e'*W* e;
   l  = sum;
return;
