%% TABLECONTI : Creates contingency table
%

function Co = TableConti (X,Xmin,Xmax);

  Ki = (Xmax - Xmin + 1);

  Ka = Ki(1);
  Kb = Ki(2);
  
  [n, tmp] = size(X);

  Co = zeros(Kb,Ka);
  for k=1:n,
     ith=1;
     for i=1:Ka,
        if X(k,1) == (Xmin(1)-1+i), ith = i; end;
     end;
     jth=1;
     for j=1:Kb,
        if X(k,2) == (Xmin(2)-1+j), jth = j; end;
     end;
     
     Co(Kb+1-jth,ith)=Co(Kb+1-jth,ith) + 1;
  end;
  