%% pgrad : internal function (grad model)
%
% ARGUMENTS   : x    -> expected score
%               t    -> threshold
%               sigj -> residual standard deviation
%               

function d = pgrad (x,t,sigj);

      tmp=(t-x)/sigj;
      n = exp(1.702.*tmp);
      d = n ./ (1+n );

return;
