%% SM : Index of Congruence by Tuckey
%

function C = sm (A,p,m)

  [n,r]= size(A);
  t = mean(mean(abs(A)));
  
  Ap = zeros(n,r);
  for i=1:n,
    for j=1:r,
        if abs(A(i,j)) > t,
           Ap(i,j) = A(i,j);
        end;
    end;
  end;

  tmp1 = 0;
  for k=1:p,
      for l=1:p,
          Ak = part(Ap,k,m); Al= part(Ap,l,m);
          tmp1 = tmp1 + trace(Ak'*Al);
      end;
  end;


  tmp2 = 0;
  for k=1:p,
          Ak = part(Ap,k,m);
          tmp2 = tmp2 + trace(Ak'*Ak);
  end;

  C = tmp1/(p*tmp2);
